import React from 'react';
import { ICardProps } from '../../elements/card/Card';
import { IDatum } from '../../charts/xy-line-chart/XYLineChart';
import { ICardHeaderProps } from '../../elements/card/CardHeader';
export interface IEmissionsOverTimeProps extends React.ComponentPropsWithoutRef<'div'>, Partial<ICardHeaderProps>, Partial<ICardProps> {
    /**
     * Defines the footer action button label
     */
    actionLabel?: string;
    /**
     * Defines the footer action button target event
     */
    actionClick?: () => void;
    /**
     * Defines the data for all impacts over the time
     */
    data: IDatum[];
    /**
     * Defines the callback for the left axis formatter
     */
    leftAxisFormatter?: (value: string) => string;
}
export declare function EmissionsOverTime({ actionClick, actionLabel, className, data, description, header, helpUrl, shadow, leftAxisFormatter, }: IEmissionsOverTimeProps): JSX.Element;
//# sourceMappingURL=EmissionsOverTime.d.ts.map